org.apache.ode.bpel.pmapi.impl

## Class TEventInfoImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.values.XmlObjectBase
  - - org.apache.xmlbeans.impl.values.XmlComplexContentImpl
    - - org.apache.ode.bpel.pmapi.impl.TEventInfoImpl

- All Implemented Interfaces:
    java.io.Serializable, TEventInfo, org.apache.xmlbeans.impl.values.TypeStoreUser, org.apache.xmlbeans.SimpleValue, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

      public class TEventInfoImpl
      extends org.apache.xmlbeans.impl.values.XmlComplexContentImpl
      implements TEventInfo

  An XML tEventInfo(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.ode.bpel.pmapi.TEventInfo

      `TEventInfo.Factory`

  - ### Field Summary

    - ### Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_voorVc, KIND_SETTERHELPER_ARRAYITEM, KIND_SETTERHELPER_SINGLETON, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

    - ### Fields inherited from interface org.apache.ode.bpel.pmapi.TEventInfo

      `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TEventInfoImpl(org.apache.xmlbeans.SchemaType sType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getActivityDefinitionId()` Gets the "activity-definition-id" element
    `java.lang.String` | `getActivityFailureReason()` Gets the "activity-failure-reason" element
    `long` | `getActivityId()` Gets the "activity-id" element
    `java.lang.String` | `getActivityName()` Gets the "activity-name" element
    `java.lang.String` | `getActivityRecoveryAction()` Gets the "activity-recovery-action" element
    `java.lang.String` | `getActivityType()` Gets the "activity-type" element
    `java.lang.String` | `getCorrelationKey()` Gets the "correlation-key" element
    `java.lang.String` | `getCorrelationSet()` Gets the "correlation-set" element
    `java.lang.String` | `getExplanation()` Gets the "explanation" element
    `java.lang.String` | `getExpression()` Gets the "expression" element
    `javax.xml.namespace.QName` | `getFault()` Gets the "fault" element
    `int` | `getFaultLineNumber()` Gets the "fault-line-number" element
    `long` | `getInstanceId()` Gets the "instance-id" element
    `int` | `getLineNumber()` Gets the "line-number" element
    `java.lang.String` | `getMexId()` Gets the "mex-id" element
    `java.lang.String` | `getName()` Gets the "name" element
    `int` | `getNewState()` Gets the "new-state" element
    `java.lang.String` | `getNewValue()` Gets the "new-value" element
    `int` | `getOldState()` Gets the "old-state" element
    `java.lang.String` | `getOperation()` Gets the "operation" element
    `long` | `getParentScopeId()` Gets the "parent-scope-id" element
    `java.lang.String` | `getPartnerLinkName()` Gets the "partner-link-name" element
    `javax.xml.namespace.QName` | `getPortType()` Gets the "port-type" element
    `javax.xml.namespace.QName` | `getProcessId()` Gets the "process-id" element
    `javax.xml.namespace.QName` | `getProcessType()` Gets the "process-type" element
    `java.lang.String` | `getResult()` Gets the "result" element
    `int` | `getRootScopeDeclarationId()` Gets the "root-scope-declaration-id" element
    `long` | `getRootScopeId()` Gets the "root-scope-id" element
    `int` | `getScopeDefinitionId()` Gets the "scope-definition-id" element
    `long` | `getScopeId()` Gets the "scope-id" element
    `java.lang.String` | `getScopeName()` Gets the "scope-name" element
    `boolean` | `getSuccess()` Gets the "success" element
    `java.util.Calendar` | `getTimestamp()` Gets the "timestamp" element
    `java.lang.String` | `getType()` Gets the "type" element
    `java.lang.String` | `getVariableName()` Gets the "variable-name" element
    `boolean` | `isSetActivityDefinitionId()` True if has "activity-definition-id" element
    `boolean` | `isSetActivityFailureReason()` True if has "activity-failure-reason" element
    `boolean` | `isSetActivityId()` True if has "activity-id" element
    `boolean` | `isSetActivityName()` True if has "activity-name" element
    `boolean` | `isSetActivityRecoveryAction()` True if has "activity-recovery-action" element
    `boolean` | `isSetActivityType()` True if has "activity-type" element
    `boolean` | `isSetCorrelationKey()` True if has "correlation-key" element
    `boolean` | `isSetCorrelationSet()` True if has "correlation-set" element
    `boolean` | `isSetExplanation()` True if has "explanation" element
    `boolean` | `isSetExpression()` True if has "expression" element
    `boolean` | `isSetFault()` True if has "fault" element
    `boolean` | `isSetFaultLineNumber()` True if has "fault-line-number" element
    `boolean` | `isSetInstanceId()` True if has "instance-id" element
    `boolean` | `isSetMexId()` True if has "mex-id" element
    `boolean` | `isSetNewState()` True if has "new-state" element
    `boolean` | `isSetNewValue()` True if has "new-value" element
    `boolean` | `isSetOldState()` True if has "old-state" element
    `boolean` | `isSetOperation()` True if has "operation" element
    `boolean` | `isSetParentScopeId()` True if has "parent-scope-id" element
    `boolean` | `isSetPartnerLinkName()` True if has "partner-link-name" element
    `boolean` | `isSetPortType()` True if has "port-type" element
    `boolean` | `isSetProcessId()` True if has "process-id" element
    `boolean` | `isSetProcessType()` True if has "process-type" element
    `boolean` | `isSetResult()` True if has "result" element
    `boolean` | `isSetRootScopeDeclarationId()` True if has "root-scope-declaration-id" element
    `boolean` | `isSetRootScopeId()` True if has "root-scope-id" element
    `boolean` | `isSetScopeDefinitionId()` True if has "scope-definition-id" element
    `boolean` | `isSetScopeId()` True if has "scope-id" element
    `boolean` | `isSetScopeName()` True if has "scope-name" element
    `boolean` | `isSetSuccess()` True if has "success" element
    `boolean` | `isSetVariableName()` True if has "variable-name" element
    `void` | `setActivityDefinitionId(int activityDefinitionId)` Sets the "activity-definition-id" element
    `void` | `setActivityFailureReason(java.lang.String activityFailureReason)` Sets the "activity-failure-reason" element
    `void` | `setActivityId(long activityId)` Sets the "activity-id" element
    `void` | `setActivityName(java.lang.String activityName)` Sets the "activity-name" element
    `void` | `setActivityRecoveryAction(java.lang.String activityRecoveryAction)` Sets the "activity-recovery-action" element
    `void` | `setActivityType(java.lang.String activityType)` Sets the "activity-type" element
    `void` | `setCorrelationKey(java.lang.String correlationKey)` Sets the "correlation-key" element
    `void` | `setCorrelationSet(java.lang.String correlationSet)` Sets the "correlation-set" element
    `void` | `setExplanation(java.lang.String explanation)` Sets the "explanation" element
    `void` | `setExpression(java.lang.String expression)` Sets the "expression" element
    `void` | `setFault(javax.xml.namespace.QName fault)` Sets the "fault" element
    `void` | `setFaultLineNumber(int faultLineNumber)` Sets the "fault-line-number" element
    `void` | `setInstanceId(long instanceId)` Sets the "instance-id" element
    `void` | `setLineNumber(int lineNumber)` Sets the "line-number" element
    `void` | `setMexId(java.lang.String mexId)` Sets the "mex-id" element
    `void` | `setName(java.lang.String name)` Sets the "name" element
    `void` | `setNewState(int newState)` Sets the "new-state" element
    `void` | `setNewValue(java.lang.String newValue)` Sets the "new-value" element
    `void` | `setOldState(int oldState)` Sets the "old-state" element
    `void` | `setOperation(java.lang.String operation)` Sets the "operation" element
    `void` | `setParentScopeId(long parentScopeId)` Sets the "parent-scope-id" element
    `void` | `setPartnerLinkName(java.lang.String partnerLinkName)` Sets the "partner-link-name" element
    `void` | `setPortType(javax.xml.namespace.QName portType)` Sets the "port-type" element
    `void` | `setProcessId(javax.xml.namespace.QName processId)` Sets the "process-id" element
    `void` | `setProcessType(javax.xml.namespace.QName processType)` Sets the "process-type" element
    `void` | `setResult(java.lang.String result)` Sets the "result" element
    `void` | `setRootScopeDeclarationId(int rootScopeDeclarationId)` Sets the "root-scope-declaration-id" element
    `void` | `setRootScopeId(long rootScopeId)` Sets the "root-scope-id" element
    `void` | `setScopeDefinitionId(int scopeDefinitionId)` Sets the "scope-definition-id" element
    `void` | `setScopeId(long scopeId)` Sets the "scope-id" element
    `void` | `setScopeName(java.lang.String scopeName)` Sets the "scope-name" element
    `void` | `setSuccess(boolean success)` Sets the "success" element
    `void` | `setTimestamp(java.util.Calendar timestamp)` Sets the "timestamp" element
    `void` | `setType(java.lang.String type)` Sets the "type" element
    `void` | `setVariableName(java.lang.String variableName)` Sets the "variable-name" element
    `void` | `unsetActivityDefinitionId()` Unsets the "activity-definition-id" element
    `void` | `unsetActivityFailureReason()` Unsets the "activity-failure-reason" element
    `void` | `unsetActivityId()` Unsets the "activity-id" element
    `void` | `unsetActivityName()` Unsets the "activity-name" element
    `void` | `unsetActivityRecoveryAction()` Unsets the "activity-recovery-action" element
    `void` | `unsetActivityType()` Unsets the "activity-type" element
    `void` | `unsetCorrelationKey()` Unsets the "correlation-key" element
    `void` | `unsetCorrelationSet()` Unsets the "correlation-set" element
    `void` | `unsetExplanation()` Unsets the "explanation" element
    `void` | `unsetExpression()` Unsets the "expression" element
    `void` | `unsetFault()` Unsets the "fault" element
    `void` | `unsetFaultLineNumber()` Unsets the "fault-line-number" element
    `void` | `unsetInstanceId()` Unsets the "instance-id" element
    `void` | `unsetMexId()` Unsets the "mex-id" element
    `void` | `unsetNewState()` Unsets the "new-state" element
    `void` | `unsetNewValue()` Unsets the "new-value" element
    `void` | `unsetOldState()` Unsets the "old-state" element
    `void` | `unsetOperation()` Unsets the "operation" element
    `void` | `unsetParentScopeId()` Unsets the "parent-scope-id" element
    `void` | `unsetPartnerLinkName()` Unsets the "partner-link-name" element
    `void` | `unsetPortType()` Unsets the "port-type" element
    `void` | `unsetProcessId()` Unsets the "process-id" element
    `void` | `unsetProcessType()` Unsets the "process-type" element
    `void` | `unsetResult()` Unsets the "result" element
    `void` | `unsetRootScopeDeclarationId()` Unsets the "root-scope-declaration-id" element
    `void` | `unsetRootScopeId()` Unsets the "root-scope-id" element
    `void` | `unsetScopeDefinitionId()` Unsets the "scope-definition-id" element
    `void` | `unsetScopeId()` Unsets the "scope-id" element
    `void` | `unsetScopeName()` Unsets the "scope-name" element
    `void` | `unsetSuccess()` Unsets the "success" element
    `void` | `unsetVariableName()` Unsets the "variable-name" element
    `org.apache.xmlbeans.XmlInt` | `xgetActivityDefinitionId()` Gets (as xml) the "activity-definition-id" element
    `org.apache.xmlbeans.XmlString` | `xgetActivityFailureReason()` Gets (as xml) the "activity-failure-reason" element
    `org.apache.xmlbeans.XmlLong` | `xgetActivityId()` Gets (as xml) the "activity-id" element
    `org.apache.xmlbeans.XmlString` | `xgetActivityName()` Gets (as xml) the "activity-name" element
    `org.apache.xmlbeans.XmlString` | `xgetActivityRecoveryAction()` Gets (as xml) the "activity-recovery-action" element
    `org.apache.xmlbeans.XmlString` | `xgetActivityType()` Gets (as xml) the "activity-type" element
    `org.apache.xmlbeans.XmlString` | `xgetCorrelationKey()` Gets (as xml) the "correlation-key" element
    `org.apache.xmlbeans.XmlString` | `xgetCorrelationSet()` Gets (as xml) the "correlation-set" element
    `org.apache.xmlbeans.XmlString` | `xgetExplanation()` Gets (as xml) the "explanation" element
    `org.apache.xmlbeans.XmlString` | `xgetExpression()` Gets (as xml) the "expression" element
    `org.apache.xmlbeans.XmlQName` | `xgetFault()` Gets (as xml) the "fault" element
    `org.apache.xmlbeans.XmlInt` | `xgetFaultLineNumber()` Gets (as xml) the "fault-line-number" element
    `org.apache.xmlbeans.XmlLong` | `xgetInstanceId()` Gets (as xml) the "instance-id" element
    `org.apache.xmlbeans.XmlInt` | `xgetLineNumber()` Gets (as xml) the "line-number" element
    `org.apache.xmlbeans.XmlString` | `xgetMexId()` Gets (as xml) the "mex-id" element
    `org.apache.xmlbeans.XmlString` | `xgetName()` Gets (as xml) the "name" element
    `org.apache.xmlbeans.XmlInt` | `xgetNewState()` Gets (as xml) the "new-state" element
    `org.apache.xmlbeans.XmlString` | `xgetNewValue()` Gets (as xml) the "new-value" element
    `org.apache.xmlbeans.XmlInt` | `xgetOldState()` Gets (as xml) the "old-state" element
    `org.apache.xmlbeans.XmlString` | `xgetOperation()` Gets (as xml) the "operation" element
    `org.apache.xmlbeans.XmlLong` | `xgetParentScopeId()` Gets (as xml) the "parent-scope-id" element
    `org.apache.xmlbeans.XmlString` | `xgetPartnerLinkName()` Gets (as xml) the "partner-link-name" element
    `org.apache.xmlbeans.XmlQName` | `xgetPortType()` Gets (as xml) the "port-type" element
    `org.apache.xmlbeans.XmlQName` | `xgetProcessId()` Gets (as xml) the "process-id" element
    `org.apache.xmlbeans.XmlQName` | `xgetProcessType()` Gets (as xml) the "process-type" element
    `org.apache.xmlbeans.XmlString` | `xgetResult()` Gets (as xml) the "result" element
    `org.apache.xmlbeans.XmlInt` | `xgetRootScopeDeclarationId()` Gets (as xml) the "root-scope-declaration-id" element
    `org.apache.xmlbeans.XmlLong` | `xgetRootScopeId()` Gets (as xml) the "root-scope-id" element
    `org.apache.xmlbeans.XmlInt` | `xgetScopeDefinitionId()` Gets (as xml) the "scope-definition-id" element
    `org.apache.xmlbeans.XmlLong` | `xgetScopeId()` Gets (as xml) the "scope-id" element
    `org.apache.xmlbeans.XmlString` | `xgetScopeName()` Gets (as xml) the "scope-name" element
    `org.apache.xmlbeans.XmlBoolean` | `xgetSuccess()` Gets (as xml) the "success" element
    `org.apache.xmlbeans.XmlDateTime` | `xgetTimestamp()` Gets (as xml) the "timestamp" element
    `org.apache.xmlbeans.XmlString` | `xgetType()` Gets (as xml) the "type" element
    `org.apache.xmlbeans.XmlString` | `xgetVariableName()` Gets (as xml) the "variable-name" element
    `void` | `xsetActivityDefinitionId(org.apache.xmlbeans.XmlInt activityDefinitionId)` Sets (as xml) the "activity-definition-id" element
    `void` | `xsetActivityFailureReason(org.apache.xmlbeans.XmlString activityFailureReason)` Sets (as xml) the "activity-failure-reason" element
    `void` | `xsetActivityId(org.apache.xmlbeans.XmlLong activityId)` Sets (as xml) the "activity-id" element
    `void` | `xsetActivityName(org.apache.xmlbeans.XmlString activityName)` Sets (as xml) the "activity-name" element
    `void` | `xsetActivityRecoveryAction(org.apache.xmlbeans.XmlString activityRecoveryAction)` Sets (as xml) the "activity-recovery-action" element
    `void` | `xsetActivityType(org.apache.xmlbeans.XmlString activityType)` Sets (as xml) the "activity-type" element
    `void` | `xsetCorrelationKey(org.apache.xmlbeans.XmlString correlationKey)` Sets (as xml) the "correlation-key" element
    `void` | `xsetCorrelationSet(org.apache.xmlbeans.XmlString correlationSet)` Sets (as xml) the "correlation-set" element
    `void` | `xsetExplanation(org.apache.xmlbeans.XmlString explanation)` Sets (as xml) the "explanation" element
    `void` | `xsetExpression(org.apache.xmlbeans.XmlString expression)` Sets (as xml) the "expression" element
    `void` | `xsetFault(org.apache.xmlbeans.XmlQName fault)` Sets (as xml) the "fault" element
    `void` | `xsetFaultLineNumber(org.apache.xmlbeans.XmlInt faultLineNumber)` Sets (as xml) the "fault-line-number" element
    `void` | `xsetInstanceId(org.apache.xmlbeans.XmlLong instanceId)` Sets (as xml) the "instance-id" element
    `void` | `xsetLineNumber(org.apache.xmlbeans.XmlInt lineNumber)` Sets (as xml) the "line-number" element
    `void` | `xsetMexId(org.apache.xmlbeans.XmlString mexId)` Sets (as xml) the "mex-id" element
    `void` | `xsetName(org.apache.xmlbeans.XmlString name)` Sets (as xml) the "name" element
    `void` | `xsetNewState(org.apache.xmlbeans.XmlInt newState)` Sets (as xml) the "new-state" element
    `void` | `xsetNewValue(org.apache.xmlbeans.XmlString newValue)` Sets (as xml) the "new-value" element
    `void` | `xsetOldState(org.apache.xmlbeans.XmlInt oldState)` Sets (as xml) the "old-state" element
    `void` | `xsetOperation(org.apache.xmlbeans.XmlString operation)` Sets (as xml) the "operation" element
    `void` | `xsetParentScopeId(org.apache.xmlbeans.XmlLong parentScopeId)` Sets (as xml) the "parent-scope-id" element
    `void` | `xsetPartnerLinkName(org.apache.xmlbeans.XmlString partnerLinkName)` Sets (as xml) the "partner-link-name" element
    `void` | `xsetPortType(org.apache.xmlbeans.XmlQName portType)` Sets (as xml) the "port-type" element
    `void` | `xsetProcessId(org.apache.xmlbeans.XmlQName processId)` Sets (as xml) the "process-id" element
    `void` | `xsetProcessType(org.apache.xmlbeans.XmlQName processType)` Sets (as xml) the "process-type" element
    `void` | `xsetResult(org.apache.xmlbeans.XmlString result)` Sets (as xml) the "result" element
    `void` | `xsetRootScopeDeclarationId(org.apache.xmlbeans.XmlInt rootScopeDeclarationId)` Sets (as xml) the "root-scope-declaration-id" element
    `void` | `xsetRootScopeId(org.apache.xmlbeans.XmlLong rootScopeId)` Sets (as xml) the "root-scope-id" element
    `void` | `xsetScopeDefinitionId(org.apache.xmlbeans.XmlInt scopeDefinitionId)` Sets (as xml) the "scope-definition-id" element
    `void` | `xsetScopeId(org.apache.xmlbeans.XmlLong scopeId)` Sets (as xml) the "scope-id" element
    `void` | `xsetScopeName(org.apache.xmlbeans.XmlString scopeName)` Sets (as xml) the "scope-name" element
    `void` | `xsetSuccess(org.apache.xmlbeans.XmlBoolean success)` Sets (as xml) the "success" element
    `void` | `xsetTimestamp(org.apache.xmlbeans.XmlDateTime timestamp)` Sets (as xml) the "timestamp" element
    `void` | `xsetType(org.apache.xmlbeans.XmlString type)` Sets (as xml) the "type" element
    `void` | `xsetVariableName(org.apache.xmlbeans.XmlString variableName)` Sets (as xml) the "variable-name" element

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl

      `arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_copy, _copy, _isComplexContent, _isComplexType, _set, _validateOnSet, attach_store, bigDecimalValue, bigIntegerValue, booleanValue, build_nil, build_text, byteArrayValue, byteValue, calendarValue, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, copy, create_attribute_user, create_element_user, dateValue, disconnect_store, documentProperties, doubleValue, dump, elementFlags, enumValue, equals, execQuery, execQuery, floatValue, gDateValue, gDurationValue, generatedSetterHelperImpl, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanValue, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleValue, getEnumValue, getFloatValue, getGDateValue, getGDurationValue, getIntValue, getListValue, getLongValue, getObjectValue, getQNameValue, getShortValue, getStringValue, getXmlLocale, has_store, hashCode, init_flags, initComplexType, instanceType, intValue, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, listValue, longValue, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, objectSet, objectValue, qNameValue, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDateValue, setGDurationValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, shortValue, stringValue, substitute, toString, uses_invalidate_value, validate_now, validate_simpleval, validate, validate, valueEquals, valueHashCode, writeReplace, xgetListValue, xlistValue, xmlText, xmlText`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Constructor Detail

    - #### TEventInfoImpl

          public TEventInfoImpl(org.apache.xmlbeans.SchemaType sType)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Gets the "name" element
      Specified by:
        `getName` in interface `TEventInfo`

    - #### xgetName

          public org.apache.xmlbeans.XmlString xgetName()

      Gets (as xml) the "name" element
      Specified by:
        `xgetName` in interface `TEventInfo`

    - #### setName

          public void setName(java.lang.String name)

      Sets the "name" element
      Specified by:
        `setName` in interface `TEventInfo`

    - #### xsetName

          public void xsetName(org.apache.xmlbeans.XmlString name)

      Sets (as xml) the "name" element
      Specified by:
        `xsetName` in interface `TEventInfo`

    - #### getType

          public java.lang.String getType()

      Gets the "type" element
      Specified by:
        `getType` in interface `TEventInfo`

    - #### xgetType

          public org.apache.xmlbeans.XmlString xgetType()

      Gets (as xml) the "type" element
      Specified by:
        `xgetType` in interface `TEventInfo`

    - #### setType

          public void setType(java.lang.String type)

      Sets the "type" element
      Specified by:
        `setType` in interface `TEventInfo`

    - #### xsetType

          public void xsetType(org.apache.xmlbeans.XmlString type)

      Sets (as xml) the "type" element
      Specified by:
        `xsetType` in interface `TEventInfo`

    - #### getLineNumber

          public int getLineNumber()

      Gets the "line-number" element
      Specified by:
        `getLineNumber` in interface `TEventInfo`

    - #### xgetLineNumber

          public org.apache.xmlbeans.XmlInt xgetLineNumber()

      Gets (as xml) the "line-number" element
      Specified by:
        `xgetLineNumber` in interface `TEventInfo`

    - #### setLineNumber

          public void setLineNumber(int lineNumber)

      Sets the "line-number" element
      Specified by:
        `setLineNumber` in interface `TEventInfo`

    - #### xsetLineNumber

          public void xsetLineNumber(org.apache.xmlbeans.XmlInt lineNumber)

      Sets (as xml) the "line-number" element
      Specified by:
        `xsetLineNumber` in interface `TEventInfo`

    - #### getTimestamp

          public java.util.Calendar getTimestamp()

      Gets the "timestamp" element
      Specified by:
        `getTimestamp` in interface `TEventInfo`

    - #### xgetTimestamp

          public org.apache.xmlbeans.XmlDateTime xgetTimestamp()

      Gets (as xml) the "timestamp" element
      Specified by:
        `xgetTimestamp` in interface `TEventInfo`

    - #### setTimestamp

          public void setTimestamp(java.util.Calendar timestamp)

      Sets the "timestamp" element
      Specified by:
        `setTimestamp` in interface `TEventInfo`

    - #### xsetTimestamp

          public void xsetTimestamp(org.apache.xmlbeans.XmlDateTime timestamp)

      Sets (as xml) the "timestamp" element
      Specified by:
        `xsetTimestamp` in interface `TEventInfo`

    - #### getProcessId

          public javax.xml.namespace.QName getProcessId()

      Gets the "process-id" element
      Specified by:
        `getProcessId` in interface `TEventInfo`

    - #### xgetProcessId

          public org.apache.xmlbeans.XmlQName xgetProcessId()

      Gets (as xml) the "process-id" element
      Specified by:
        `xgetProcessId` in interface `TEventInfo`

    - #### isSetProcessId

          public boolean isSetProcessId()

      True if has "process-id" element
      Specified by:
        `isSetProcessId` in interface `TEventInfo`

    - #### setProcessId

          public void setProcessId(javax.xml.namespace.QName processId)

      Sets the "process-id" element
      Specified by:
        `setProcessId` in interface `TEventInfo`

    - #### xsetProcessId

          public void xsetProcessId(org.apache.xmlbeans.XmlQName processId)

      Sets (as xml) the "process-id" element
      Specified by:
        `xsetProcessId` in interface `TEventInfo`

    - #### unsetProcessId

          public void unsetProcessId()

      Unsets the "process-id" element
      Specified by:
        `unsetProcessId` in interface `TEventInfo`

    - #### getProcessType

          public javax.xml.namespace.QName getProcessType()

      Gets the "process-type" element
      Specified by:
        `getProcessType` in interface `TEventInfo`

    - #### xgetProcessType

          public org.apache.xmlbeans.XmlQName xgetProcessType()

      Gets (as xml) the "process-type" element
      Specified by:
        `xgetProcessType` in interface `TEventInfo`

    - #### isSetProcessType

          public boolean isSetProcessType()

      True if has "process-type" element
      Specified by:
        `isSetProcessType` in interface `TEventInfo`

    - #### setProcessType

          public void setProcessType(javax.xml.namespace.QName processType)

      Sets the "process-type" element
      Specified by:
        `setProcessType` in interface `TEventInfo`

    - #### xsetProcessType

          public void xsetProcessType(org.apache.xmlbeans.XmlQName processType)

      Sets (as xml) the "process-type" element
      Specified by:
        `xsetProcessType` in interface `TEventInfo`

    - #### unsetProcessType

          public void unsetProcessType()

      Unsets the "process-type" element
      Specified by:
        `unsetProcessType` in interface `TEventInfo`

    - #### getInstanceId

          public long getInstanceId()

      Gets the "instance-id" element
      Specified by:
        `getInstanceId` in interface `TEventInfo`

    - #### xgetInstanceId

          public org.apache.xmlbeans.XmlLong xgetInstanceId()

      Gets (as xml) the "instance-id" element
      Specified by:
        `xgetInstanceId` in interface `TEventInfo`

    - #### isSetInstanceId

          public boolean isSetInstanceId()

      True if has "instance-id" element
      Specified by:
        `isSetInstanceId` in interface `TEventInfo`

    - #### setInstanceId

          public void setInstanceId(long instanceId)

      Sets the "instance-id" element
      Specified by:
        `setInstanceId` in interface `TEventInfo`

    - #### xsetInstanceId

          public void xsetInstanceId(org.apache.xmlbeans.XmlLong instanceId)

      Sets (as xml) the "instance-id" element
      Specified by:
        `xsetInstanceId` in interface `TEventInfo`

    - #### unsetInstanceId

          public void unsetInstanceId()

      Unsets the "instance-id" element
      Specified by:
        `unsetInstanceId` in interface `TEventInfo`

    - #### getScopeId

          public long getScopeId()

      Gets the "scope-id" element
      Specified by:
        `getScopeId` in interface `TEventInfo`

    - #### xgetScopeId

          public org.apache.xmlbeans.XmlLong xgetScopeId()

      Gets (as xml) the "scope-id" element
      Specified by:
        `xgetScopeId` in interface `TEventInfo`

    - #### isSetScopeId

          public boolean isSetScopeId()

      True if has "scope-id" element
      Specified by:
        `isSetScopeId` in interface `TEventInfo`

    - #### setScopeId

          public void setScopeId(long scopeId)

      Sets the "scope-id" element
      Specified by:
        `setScopeId` in interface `TEventInfo`

    - #### xsetScopeId

          public void xsetScopeId(org.apache.xmlbeans.XmlLong scopeId)

      Sets (as xml) the "scope-id" element
      Specified by:
        `xsetScopeId` in interface `TEventInfo`

    - #### unsetScopeId

          public void unsetScopeId()

      Unsets the "scope-id" element
      Specified by:
        `unsetScopeId` in interface `TEventInfo`

    - #### getParentScopeId

          public long getParentScopeId()

      Gets the "parent-scope-id" element
      Specified by:
        `getParentScopeId` in interface `TEventInfo`

    - #### xgetParentScopeId

          public org.apache.xmlbeans.XmlLong xgetParentScopeId()

      Gets (as xml) the "parent-scope-id" element
      Specified by:
        `xgetParentScopeId` in interface `TEventInfo`

    - #### isSetParentScopeId

          public boolean isSetParentScopeId()

      True if has "parent-scope-id" element
      Specified by:
        `isSetParentScopeId` in interface `TEventInfo`

    - #### setParentScopeId

          public void setParentScopeId(long parentScopeId)

      Sets the "parent-scope-id" element
      Specified by:
        `setParentScopeId` in interface `TEventInfo`

    - #### xsetParentScopeId

          public void xsetParentScopeId(org.apache.xmlbeans.XmlLong parentScopeId)

      Sets (as xml) the "parent-scope-id" element
      Specified by:
        `xsetParentScopeId` in interface `TEventInfo`

    - #### unsetParentScopeId

          public void unsetParentScopeId()

      Unsets the "parent-scope-id" element
      Specified by:
        `unsetParentScopeId` in interface `TEventInfo`

    - #### getScopeName

          public java.lang.String getScopeName()

      Gets the "scope-name" element
      Specified by:
        `getScopeName` in interface `TEventInfo`

    - #### xgetScopeName

          public org.apache.xmlbeans.XmlString xgetScopeName()

      Gets (as xml) the "scope-name" element
      Specified by:
        `xgetScopeName` in interface `TEventInfo`

    - #### isSetScopeName

          public boolean isSetScopeName()

      True if has "scope-name" element
      Specified by:
        `isSetScopeName` in interface `TEventInfo`

    - #### setScopeName

          public void setScopeName(java.lang.String scopeName)

      Sets the "scope-name" element
      Specified by:
        `setScopeName` in interface `TEventInfo`

    - #### xsetScopeName

          public void xsetScopeName(org.apache.xmlbeans.XmlString scopeName)

      Sets (as xml) the "scope-name" element
      Specified by:
        `xsetScopeName` in interface `TEventInfo`

    - #### unsetScopeName

          public void unsetScopeName()

      Unsets the "scope-name" element
      Specified by:
        `unsetScopeName` in interface `TEventInfo`

    - #### getScopeDefinitionId

          public int getScopeDefinitionId()

      Gets the "scope-definition-id" element
      Specified by:
        `getScopeDefinitionId` in interface `TEventInfo`

    - #### xgetScopeDefinitionId

          public org.apache.xmlbeans.XmlInt xgetScopeDefinitionId()

      Gets (as xml) the "scope-definition-id" element
      Specified by:
        `xgetScopeDefinitionId` in interface `TEventInfo`

    - #### isSetScopeDefinitionId

          public boolean isSetScopeDefinitionId()

      True if has "scope-definition-id" element
      Specified by:
        `isSetScopeDefinitionId` in interface `TEventInfo`

    - #### setScopeDefinitionId

          public void setScopeDefinitionId(int scopeDefinitionId)

      Sets the "scope-definition-id" element
      Specified by:
        `setScopeDefinitionId` in interface `TEventInfo`

    - #### xsetScopeDefinitionId

          public void xsetScopeDefinitionId(org.apache.xmlbeans.XmlInt scopeDefinitionId)

      Sets (as xml) the "scope-definition-id" element
      Specified by:
        `xsetScopeDefinitionId` in interface `TEventInfo`

    - #### unsetScopeDefinitionId

          public void unsetScopeDefinitionId()

      Unsets the "scope-definition-id" element
      Specified by:
        `unsetScopeDefinitionId` in interface `TEventInfo`

    - #### getActivityId

          public long getActivityId()

      Gets the "activity-id" element
      Specified by:
        `getActivityId` in interface `TEventInfo`

    - #### xgetActivityId

          public org.apache.xmlbeans.XmlLong xgetActivityId()

      Gets (as xml) the "activity-id" element
      Specified by:
        `xgetActivityId` in interface `TEventInfo`

    - #### isSetActivityId

          public boolean isSetActivityId()

      True if has "activity-id" element
      Specified by:
        `isSetActivityId` in interface `TEventInfo`

    - #### setActivityId

          public void setActivityId(long activityId)

      Sets the "activity-id" element
      Specified by:
        `setActivityId` in interface `TEventInfo`

    - #### xsetActivityId

          public void xsetActivityId(org.apache.xmlbeans.XmlLong activityId)

      Sets (as xml) the "activity-id" element
      Specified by:
        `xsetActivityId` in interface `TEventInfo`

    - #### unsetActivityId

          public void unsetActivityId()

      Unsets the "activity-id" element
      Specified by:
        `unsetActivityId` in interface `TEventInfo`

    - #### getActivityName

          public java.lang.String getActivityName()

      Gets the "activity-name" element
      Specified by:
        `getActivityName` in interface `TEventInfo`

    - #### xgetActivityName

          public org.apache.xmlbeans.XmlString xgetActivityName()

      Gets (as xml) the "activity-name" element
      Specified by:
        `xgetActivityName` in interface `TEventInfo`

    - #### isSetActivityName

          public boolean isSetActivityName()

      True if has "activity-name" element
      Specified by:
        `isSetActivityName` in interface `TEventInfo`

    - #### setActivityName

          public void setActivityName(java.lang.String activityName)

      Sets the "activity-name" element
      Specified by:
        `setActivityName` in interface `TEventInfo`

    - #### xsetActivityName

          public void xsetActivityName(org.apache.xmlbeans.XmlString activityName)

      Sets (as xml) the "activity-name" element
      Specified by:
        `xsetActivityName` in interface `TEventInfo`

    - #### unsetActivityName

          public void unsetActivityName()

      Unsets the "activity-name" element
      Specified by:
        `unsetActivityName` in interface `TEventInfo`

    - #### getActivityType

          public java.lang.String getActivityType()

      Gets the "activity-type" element
      Specified by:
        `getActivityType` in interface `TEventInfo`

    - #### xgetActivityType

          public org.apache.xmlbeans.XmlString xgetActivityType()

      Gets (as xml) the "activity-type" element
      Specified by:
        `xgetActivityType` in interface `TEventInfo`

    - #### isSetActivityType

          public boolean isSetActivityType()

      True if has "activity-type" element
      Specified by:
        `isSetActivityType` in interface `TEventInfo`

    - #### setActivityType

          public void setActivityType(java.lang.String activityType)

      Sets the "activity-type" element
      Specified by:
        `setActivityType` in interface `TEventInfo`

    - #### xsetActivityType

          public void xsetActivityType(org.apache.xmlbeans.XmlString activityType)

      Sets (as xml) the "activity-type" element
      Specified by:
        `xsetActivityType` in interface `TEventInfo`

    - #### unsetActivityType

          public void unsetActivityType()

      Unsets the "activity-type" element
      Specified by:
        `unsetActivityType` in interface `TEventInfo`

    - #### getActivityDefinitionId

          public int getActivityDefinitionId()

      Gets the "activity-definition-id" element
      Specified by:
        `getActivityDefinitionId` in interface `TEventInfo`

    - #### xgetActivityDefinitionId

          public org.apache.xmlbeans.XmlInt xgetActivityDefinitionId()

      Gets (as xml) the "activity-definition-id" element
      Specified by:
        `xgetActivityDefinitionId` in interface `TEventInfo`

    - #### isSetActivityDefinitionId

          public boolean isSetActivityDefinitionId()

      True if has "activity-definition-id" element
      Specified by:
        `isSetActivityDefinitionId` in interface `TEventInfo`

    - #### setActivityDefinitionId

          public void setActivityDefinitionId(int activityDefinitionId)

      Sets the "activity-definition-id" element
      Specified by:
        `setActivityDefinitionId` in interface `TEventInfo`

    - #### xsetActivityDefinitionId

          public void xsetActivityDefinitionId(org.apache.xmlbeans.XmlInt activityDefinitionId)

      Sets (as xml) the "activity-definition-id" element
      Specified by:
        `xsetActivityDefinitionId` in interface `TEventInfo`

    - #### unsetActivityDefinitionId

          public void unsetActivityDefinitionId()

      Unsets the "activity-definition-id" element
      Specified by:
        `unsetActivityDefinitionId` in interface `TEventInfo`

    - #### getActivityFailureReason

          public java.lang.String getActivityFailureReason()

      Gets the "activity-failure-reason" element
      Specified by:
        `getActivityFailureReason` in interface `TEventInfo`

    - #### xgetActivityFailureReason

          public org.apache.xmlbeans.XmlString xgetActivityFailureReason()

      Gets (as xml) the "activity-failure-reason" element
      Specified by:
        `xgetActivityFailureReason` in interface `TEventInfo`

    - #### isSetActivityFailureReason

          public boolean isSetActivityFailureReason()

      True if has "activity-failure-reason" element
      Specified by:
        `isSetActivityFailureReason` in interface `TEventInfo`

    - #### setActivityFailureReason

          public void setActivityFailureReason(java.lang.String activityFailureReason)

      Sets the "activity-failure-reason" element
      Specified by:
        `setActivityFailureReason` in interface `TEventInfo`

    - #### xsetActivityFailureReason

          public void xsetActivityFailureReason(org.apache.xmlbeans.XmlString activityFailureReason)

      Sets (as xml) the "activity-failure-reason" element
      Specified by:
        `xsetActivityFailureReason` in interface `TEventInfo`

    - #### unsetActivityFailureReason

          public void unsetActivityFailureReason()

      Unsets the "activity-failure-reason" element
      Specified by:
        `unsetActivityFailureReason` in interface `TEventInfo`

    - #### getActivityRecoveryAction

          public java.lang.String getActivityRecoveryAction()

      Gets the "activity-recovery-action" element
      Specified by:
        `getActivityRecoveryAction` in interface `TEventInfo`

    - #### xgetActivityRecoveryAction

          public org.apache.xmlbeans.XmlString xgetActivityRecoveryAction()

      Gets (as xml) the "activity-recovery-action" element
      Specified by:
        `xgetActivityRecoveryAction` in interface `TEventInfo`

    - #### isSetActivityRecoveryAction

          public boolean isSetActivityRecoveryAction()

      True if has "activity-recovery-action" element
      Specified by:
        `isSetActivityRecoveryAction` in interface `TEventInfo`

    - #### setActivityRecoveryAction

          public void setActivityRecoveryAction(java.lang.String activityRecoveryAction)

      Sets the "activity-recovery-action" element
      Specified by:
        `setActivityRecoveryAction` in interface `TEventInfo`

    - #### xsetActivityRecoveryAction

          public void xsetActivityRecoveryAction(org.apache.xmlbeans.XmlString activityRecoveryAction)

      Sets (as xml) the "activity-recovery-action" element
      Specified by:
        `xsetActivityRecoveryAction` in interface `TEventInfo`

    - #### unsetActivityRecoveryAction

          public void unsetActivityRecoveryAction()

      Unsets the "activity-recovery-action" element
      Specified by:
        `unsetActivityRecoveryAction` in interface `TEventInfo`

    - #### getVariableName

          public java.lang.String getVariableName()

      Gets the "variable-name" element
      Specified by:
        `getVariableName` in interface `TEventInfo`

    - #### xgetVariableName

          public org.apache.xmlbeans.XmlString xgetVariableName()

      Gets (as xml) the "variable-name" element
      Specified by:
        `xgetVariableName` in interface `TEventInfo`

    - #### isSetVariableName

          public boolean isSetVariableName()

      True if has "variable-name" element
      Specified by:
        `isSetVariableName` in interface `TEventInfo`

    - #### setVariableName

          public void setVariableName(java.lang.String variableName)

      Sets the "variable-name" element
      Specified by:
        `setVariableName` in interface `TEventInfo`

    - #### xsetVariableName

          public void xsetVariableName(org.apache.xmlbeans.XmlString variableName)

      Sets (as xml) the "variable-name" element
      Specified by:
        `xsetVariableName` in interface `TEventInfo`

    - #### unsetVariableName

          public void unsetVariableName()

      Unsets the "variable-name" element
      Specified by:
        `unsetVariableName` in interface `TEventInfo`

    - #### getNewValue

          public java.lang.String getNewValue()

      Gets the "new-value" element
      Specified by:
        `getNewValue` in interface `TEventInfo`

    - #### xgetNewValue

          public org.apache.xmlbeans.XmlString xgetNewValue()

      Gets (as xml) the "new-value" element
      Specified by:
        `xgetNewValue` in interface `TEventInfo`

    - #### isSetNewValue

          public boolean isSetNewValue()

      True if has "new-value" element
      Specified by:
        `isSetNewValue` in interface `TEventInfo`

    - #### setNewValue

          public void setNewValue(java.lang.String newValue)

      Sets the "new-value" element
      Specified by:
        `setNewValue` in interface `TEventInfo`

    - #### xsetNewValue

          public void xsetNewValue(org.apache.xmlbeans.XmlString newValue)

      Sets (as xml) the "new-value" element
      Specified by:
        `xsetNewValue` in interface `TEventInfo`

    - #### unsetNewValue

          public void unsetNewValue()

      Unsets the "new-value" element
      Specified by:
        `unsetNewValue` in interface `TEventInfo`

    - #### getPortType

          public javax.xml.namespace.QName getPortType()

      Gets the "port-type" element
      Specified by:
        `getPortType` in interface `TEventInfo`

    - #### xgetPortType

          public org.apache.xmlbeans.XmlQName xgetPortType()

      Gets (as xml) the "port-type" element
      Specified by:
        `xgetPortType` in interface `TEventInfo`

    - #### isSetPortType

          public boolean isSetPortType()

      True if has "port-type" element
      Specified by:
        `isSetPortType` in interface `TEventInfo`

    - #### setPortType

          public void setPortType(javax.xml.namespace.QName portType)

      Sets the "port-type" element
      Specified by:
        `setPortType` in interface `TEventInfo`

    - #### xsetPortType

          public void xsetPortType(org.apache.xmlbeans.XmlQName portType)

      Sets (as xml) the "port-type" element
      Specified by:
        `xsetPortType` in interface `TEventInfo`

    - #### unsetPortType

          public void unsetPortType()

      Unsets the "port-type" element
      Specified by:
        `unsetPortType` in interface `TEventInfo`

    - #### getOperation

          public java.lang.String getOperation()

      Gets the "operation" element
      Specified by:
        `getOperation` in interface `TEventInfo`

    - #### xgetOperation

          public org.apache.xmlbeans.XmlString xgetOperation()

      Gets (as xml) the "operation" element
      Specified by:
        `xgetOperation` in interface `TEventInfo`

    - #### isSetOperation

          public boolean isSetOperation()

      True if has "operation" element
      Specified by:
        `isSetOperation` in interface `TEventInfo`

    - #### setOperation

          public void setOperation(java.lang.String operation)

      Sets the "operation" element
      Specified by:
        `setOperation` in interface `TEventInfo`

    - #### xsetOperation

          public void xsetOperation(org.apache.xmlbeans.XmlString operation)

      Sets (as xml) the "operation" element
      Specified by:
        `xsetOperation` in interface `TEventInfo`

    - #### unsetOperation

          public void unsetOperation()

      Unsets the "operation" element
      Specified by:
        `unsetOperation` in interface `TEventInfo`

    - #### getCorrelationSet

          public java.lang.String getCorrelationSet()

      Gets the "correlation-set" element
      Specified by:
        `getCorrelationSet` in interface `TEventInfo`

    - #### xgetCorrelationSet

          public org.apache.xmlbeans.XmlString xgetCorrelationSet()

      Gets (as xml) the "correlation-set" element
      Specified by:
        `xgetCorrelationSet` in interface `TEventInfo`

    - #### isSetCorrelationSet

          public boolean isSetCorrelationSet()

      True if has "correlation-set" element
      Specified by:
        `isSetCorrelationSet` in interface `TEventInfo`

    - #### setCorrelationSet

          public void setCorrelationSet(java.lang.String correlationSet)

      Sets the "correlation-set" element
      Specified by:
        `setCorrelationSet` in interface `TEventInfo`

    - #### xsetCorrelationSet

          public void xsetCorrelationSet(org.apache.xmlbeans.XmlString correlationSet)

      Sets (as xml) the "correlation-set" element
      Specified by:
        `xsetCorrelationSet` in interface `TEventInfo`

    - #### unsetCorrelationSet

          public void unsetCorrelationSet()

      Unsets the "correlation-set" element
      Specified by:
        `unsetCorrelationSet` in interface `TEventInfo`

    - #### getMexId

          public java.lang.String getMexId()

      Gets the "mex-id" element
      Specified by:
        `getMexId` in interface `TEventInfo`

    - #### xgetMexId

          public org.apache.xmlbeans.XmlString xgetMexId()

      Gets (as xml) the "mex-id" element
      Specified by:
        `xgetMexId` in interface `TEventInfo`

    - #### isSetMexId

          public boolean isSetMexId()

      True if has "mex-id" element
      Specified by:
        `isSetMexId` in interface `TEventInfo`

    - #### setMexId

          public void setMexId(java.lang.String mexId)

      Sets the "mex-id" element
      Specified by:
        `setMexId` in interface `TEventInfo`

    - #### xsetMexId

          public void xsetMexId(org.apache.xmlbeans.XmlString mexId)

      Sets (as xml) the "mex-id" element
      Specified by:
        `xsetMexId` in interface `TEventInfo`

    - #### unsetMexId

          public void unsetMexId()

      Unsets the "mex-id" element
      Specified by:
        `unsetMexId` in interface `TEventInfo`

    - #### getCorrelationKey

          public java.lang.String getCorrelationKey()

      Gets the "correlation-key" element
      Specified by:
        `getCorrelationKey` in interface `TEventInfo`

    - #### xgetCorrelationKey

          public org.apache.xmlbeans.XmlString xgetCorrelationKey()

      Gets (as xml) the "correlation-key" element
      Specified by:
        `xgetCorrelationKey` in interface `TEventInfo`

    - #### isSetCorrelationKey

          public boolean isSetCorrelationKey()

      True if has "correlation-key" element
      Specified by:
        `isSetCorrelationKey` in interface `TEventInfo`

    - #### setCorrelationKey

          public void setCorrelationKey(java.lang.String correlationKey)

      Sets the "correlation-key" element
      Specified by:
        `setCorrelationKey` in interface `TEventInfo`

    - #### xsetCorrelationKey

          public void xsetCorrelationKey(org.apache.xmlbeans.XmlString correlationKey)

      Sets (as xml) the "correlation-key" element
      Specified by:
        `xsetCorrelationKey` in interface `TEventInfo`

    - #### unsetCorrelationKey

          public void unsetCorrelationKey()

      Unsets the "correlation-key" element
      Specified by:
        `unsetCorrelationKey` in interface `TEventInfo`

    - #### getExpression

          public java.lang.String getExpression()

      Gets the "expression" element
      Specified by:
        `getExpression` in interface `TEventInfo`

    - #### xgetExpression

          public org.apache.xmlbeans.XmlString xgetExpression()

      Gets (as xml) the "expression" element
      Specified by:
        `xgetExpression` in interface `TEventInfo`

    - #### isSetExpression

          public boolean isSetExpression()

      True if has "expression" element
      Specified by:
        `isSetExpression` in interface `TEventInfo`

    - #### setExpression

          public void setExpression(java.lang.String expression)

      Sets the "expression" element
      Specified by:
        `setExpression` in interface `TEventInfo`

    - #### xsetExpression

          public void xsetExpression(org.apache.xmlbeans.XmlString expression)

      Sets (as xml) the "expression" element
      Specified by:
        `xsetExpression` in interface `TEventInfo`

    - #### unsetExpression

          public void unsetExpression()

      Unsets the "expression" element
      Specified by:
        `unsetExpression` in interface `TEventInfo`

    - #### getFault

          public javax.xml.namespace.QName getFault()

      Gets the "fault" element
      Specified by:
        `getFault` in interface `TEventInfo`

    - #### xgetFault

          public org.apache.xmlbeans.XmlQName xgetFault()

      Gets (as xml) the "fault" element
      Specified by:
        `xgetFault` in interface `TEventInfo`

    - #### isSetFault

          public boolean isSetFault()

      True if has "fault" element
      Specified by:
        `isSetFault` in interface `TEventInfo`

    - #### setFault

          public void setFault(javax.xml.namespace.QName fault)

      Sets the "fault" element
      Specified by:
        `setFault` in interface `TEventInfo`

    - #### xsetFault

          public void xsetFault(org.apache.xmlbeans.XmlQName fault)

      Sets (as xml) the "fault" element
      Specified by:
        `xsetFault` in interface `TEventInfo`

    - #### unsetFault

          public void unsetFault()

      Unsets the "fault" element
      Specified by:
        `unsetFault` in interface `TEventInfo`

    - #### getFaultLineNumber

          public int getFaultLineNumber()

      Gets the "fault-line-number" element
      Specified by:
        `getFaultLineNumber` in interface `TEventInfo`

    - #### xgetFaultLineNumber

          public org.apache.xmlbeans.XmlInt xgetFaultLineNumber()

      Gets (as xml) the "fault-line-number" element
      Specified by:
        `xgetFaultLineNumber` in interface `TEventInfo`

    - #### isSetFaultLineNumber

          public boolean isSetFaultLineNumber()

      True if has "fault-line-number" element
      Specified by:
        `isSetFaultLineNumber` in interface `TEventInfo`

    - #### setFaultLineNumber

          public void setFaultLineNumber(int faultLineNumber)

      Sets the "fault-line-number" element
      Specified by:
        `setFaultLineNumber` in interface `TEventInfo`

    - #### xsetFaultLineNumber

          public void xsetFaultLineNumber(org.apache.xmlbeans.XmlInt faultLineNumber)

      Sets (as xml) the "fault-line-number" element
      Specified by:
        `xsetFaultLineNumber` in interface `TEventInfo`

    - #### unsetFaultLineNumber

          public void unsetFaultLineNumber()

      Unsets the "fault-line-number" element
      Specified by:
        `unsetFaultLineNumber` in interface `TEventInfo`

    - #### getExplanation

          public java.lang.String getExplanation()

      Gets the "explanation" element
      Specified by:
        `getExplanation` in interface `TEventInfo`

    - #### xgetExplanation

          public org.apache.xmlbeans.XmlString xgetExplanation()

      Gets (as xml) the "explanation" element
      Specified by:
        `xgetExplanation` in interface `TEventInfo`

    - #### isSetExplanation

          public boolean isSetExplanation()

      True if has "explanation" element
      Specified by:
        `isSetExplanation` in interface `TEventInfo`

    - #### setExplanation

          public void setExplanation(java.lang.String explanation)

      Sets the "explanation" element
      Specified by:
        `setExplanation` in interface `TEventInfo`

    - #### xsetExplanation

          public void xsetExplanation(org.apache.xmlbeans.XmlString explanation)

      Sets (as xml) the "explanation" element
      Specified by:
        `xsetExplanation` in interface `TEventInfo`

    - #### unsetExplanation

          public void unsetExplanation()

      Unsets the "explanation" element
      Specified by:
        `unsetExplanation` in interface `TEventInfo`

    - #### getResult

          public java.lang.String getResult()

      Gets the "result" element
      Specified by:
        `getResult` in interface `TEventInfo`

    - #### xgetResult

          public org.apache.xmlbeans.XmlString xgetResult()

      Gets (as xml) the "result" element
      Specified by:
        `xgetResult` in interface `TEventInfo`

    - #### isSetResult

          public boolean isSetResult()

      True if has "result" element
      Specified by:
        `isSetResult` in interface `TEventInfo`

    - #### setResult

          public void setResult(java.lang.String result)

      Sets the "result" element
      Specified by:
        `setResult` in interface `TEventInfo`

    - #### xsetResult

          public void xsetResult(org.apache.xmlbeans.XmlString result)

      Sets (as xml) the "result" element
      Specified by:
        `xsetResult` in interface `TEventInfo`

    - #### unsetResult

          public void unsetResult()

      Unsets the "result" element
      Specified by:
        `unsetResult` in interface `TEventInfo`

    - #### getRootScopeId

          public long getRootScopeId()

      Gets the "root-scope-id" element
      Specified by:
        `getRootScopeId` in interface `TEventInfo`

    - #### xgetRootScopeId

          public org.apache.xmlbeans.XmlLong xgetRootScopeId()

      Gets (as xml) the "root-scope-id" element
      Specified by:
        `xgetRootScopeId` in interface `TEventInfo`

    - #### isSetRootScopeId

          public boolean isSetRootScopeId()

      True if has "root-scope-id" element
      Specified by:
        `isSetRootScopeId` in interface `TEventInfo`

    - #### setRootScopeId

          public void setRootScopeId(long rootScopeId)

      Sets the "root-scope-id" element
      Specified by:
        `setRootScopeId` in interface `TEventInfo`

    - #### xsetRootScopeId

          public void xsetRootScopeId(org.apache.xmlbeans.XmlLong rootScopeId)

      Sets (as xml) the "root-scope-id" element
      Specified by:
        `xsetRootScopeId` in interface `TEventInfo`

    - #### unsetRootScopeId

          public void unsetRootScopeId()

      Unsets the "root-scope-id" element
      Specified by:
        `unsetRootScopeId` in interface `TEventInfo`

    - #### getRootScopeDeclarationId

          public int getRootScopeDeclarationId()

      Gets the "root-scope-declaration-id" element
      Specified by:
        `getRootScopeDeclarationId` in interface `TEventInfo`

    - #### xgetRootScopeDeclarationId

          public org.apache.xmlbeans.XmlInt xgetRootScopeDeclarationId()

      Gets (as xml) the "root-scope-declaration-id" element
      Specified by:
        `xgetRootScopeDeclarationId` in interface `TEventInfo`

    - #### isSetRootScopeDeclarationId

          public boolean isSetRootScopeDeclarationId()

      True if has "root-scope-declaration-id" element
      Specified by:
        `isSetRootScopeDeclarationId` in interface `TEventInfo`

    - #### setRootScopeDeclarationId

          public void setRootScopeDeclarationId(int rootScopeDeclarationId)

      Sets the "root-scope-declaration-id" element
      Specified by:
        `setRootScopeDeclarationId` in interface `TEventInfo`

    - #### xsetRootScopeDeclarationId

          public void xsetRootScopeDeclarationId(org.apache.xmlbeans.XmlInt rootScopeDeclarationId)

      Sets (as xml) the "root-scope-declaration-id" element
      Specified by:
        `xsetRootScopeDeclarationId` in interface `TEventInfo`

    - #### unsetRootScopeDeclarationId

          public void unsetRootScopeDeclarationId()

      Unsets the "root-scope-declaration-id" element
      Specified by:
        `unsetRootScopeDeclarationId` in interface `TEventInfo`

    - #### getPartnerLinkName

          public java.lang.String getPartnerLinkName()

      Gets the "partner-link-name" element
      Specified by:
        `getPartnerLinkName` in interface `TEventInfo`

    - #### xgetPartnerLinkName

          public org.apache.xmlbeans.XmlString xgetPartnerLinkName()

      Gets (as xml) the "partner-link-name" element
      Specified by:
        `xgetPartnerLinkName` in interface `TEventInfo`

    - #### isSetPartnerLinkName

          public boolean isSetPartnerLinkName()

      True if has "partner-link-name" element
      Specified by:
        `isSetPartnerLinkName` in interface `TEventInfo`

    - #### setPartnerLinkName

          public void setPartnerLinkName(java.lang.String partnerLinkName)

      Sets the "partner-link-name" element
      Specified by:
        `setPartnerLinkName` in interface `TEventInfo`

    - #### xsetPartnerLinkName

          public void xsetPartnerLinkName(org.apache.xmlbeans.XmlString partnerLinkName)

      Sets (as xml) the "partner-link-name" element
      Specified by:
        `xsetPartnerLinkName` in interface `TEventInfo`

    - #### unsetPartnerLinkName

          public void unsetPartnerLinkName()

      Unsets the "partner-link-name" element
      Specified by:
        `unsetPartnerLinkName` in interface `TEventInfo`

    - #### getOldState

          public int getOldState()

      Gets the "old-state" element
      Specified by:
        `getOldState` in interface `TEventInfo`

    - #### xgetOldState

          public org.apache.xmlbeans.XmlInt xgetOldState()

      Gets (as xml) the "old-state" element
      Specified by:
        `xgetOldState` in interface `TEventInfo`

    - #### isSetOldState

          public boolean isSetOldState()

      True if has "old-state" element
      Specified by:
        `isSetOldState` in interface `TEventInfo`

    - #### setOldState

          public void setOldState(int oldState)

      Sets the "old-state" element
      Specified by:
        `setOldState` in interface `TEventInfo`

    - #### xsetOldState

          public void xsetOldState(org.apache.xmlbeans.XmlInt oldState)

      Sets (as xml) the "old-state" element
      Specified by:
        `xsetOldState` in interface `TEventInfo`

    - #### unsetOldState

          public void unsetOldState()

      Unsets the "old-state" element
      Specified by:
        `unsetOldState` in interface `TEventInfo`

    - #### getNewState

          public int getNewState()

      Gets the "new-state" element
      Specified by:
        `getNewState` in interface `TEventInfo`

    - #### xgetNewState

          public org.apache.xmlbeans.XmlInt xgetNewState()

      Gets (as xml) the "new-state" element
      Specified by:
        `xgetNewState` in interface `TEventInfo`

    - #### isSetNewState

          public boolean isSetNewState()

      True if has "new-state" element
      Specified by:
        `isSetNewState` in interface `TEventInfo`

    - #### setNewState

          public void setNewState(int newState)

      Sets the "new-state" element
      Specified by:
        `setNewState` in interface `TEventInfo`

    - #### xsetNewState

          public void xsetNewState(org.apache.xmlbeans.XmlInt newState)

      Sets (as xml) the "new-state" element
      Specified by:
        `xsetNewState` in interface `TEventInfo`

    - #### unsetNewState

          public void unsetNewState()

      Unsets the "new-state" element
      Specified by:
        `unsetNewState` in interface `TEventInfo`

    - #### getSuccess

          public boolean getSuccess()

      Gets the "success" element
      Specified by:
        `getSuccess` in interface `TEventInfo`

    - #### xgetSuccess

          public org.apache.xmlbeans.XmlBoolean xgetSuccess()

      Gets (as xml) the "success" element
      Specified by:
        `xgetSuccess` in interface `TEventInfo`

    - #### isSetSuccess

          public boolean isSetSuccess()

      True if has "success" element
      Specified by:
        `isSetSuccess` in interface `TEventInfo`

    - #### setSuccess

          public void setSuccess(boolean success)

      Sets the "success" element
      Specified by:
        `setSuccess` in interface `TEventInfo`

    - #### xsetSuccess

          public void xsetSuccess(org.apache.xmlbeans.XmlBoolean success)

      Sets (as xml) the "success" element
      Specified by:
        `xsetSuccess` in interface `TEventInfo`

    - #### unsetSuccess

          public void unsetSuccess()

      Unsets the "success" element
      Specified by:
        `unsetSuccess` in interface `TEventInfo`